features:
  secondary:
    - name: "GitLab metadata is now available in the Package Registry user interface"
      available_in: [premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/packages/'
      image_url: '/images/unreleased/package_metadata.png'
      video: 'https://www.youtube.com/embed/Af3T_QEXrls'
      reporter: trizzi
      stage: package
      categories:
        - "Package Registry"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/33596'
      description: |
        We learned from a recent round of [user research](https://gitlab.com/gitlab-org/uxr_insights/issues/623) that users navigate to the Package Registry UI to verify which version of a package they should use or verify that their pipeline built it correctly. However, since we did not display any information in the user interface about how a package was built, users were forced to navigate between several different areas of the application.

        In GitLab 12.8, we are excited to announce that packages built via GitLab pipelines will now include `pipeline_id`, `branch`, and `commit` in the Package Registry user interface. This will help users understand how a package was built and troubleshoot much easier when something goes wrong!
